
QGIS Application - Bug report #1467

In QML and QGS saved labels will not be reloaded to a layer

2008-12-19 02:15 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11527

Description

1. load a layer (POINT)

 2. create labels

 3. save QML symbolisation

 4. reload QML

--> no label appears

History

#1 - 2008-12-30 10:13 AM - Jürgen Fischer

not reproducable here.  maybe fixed with commit:270fe71f (SVN r9748) and/or ?

#2 - 2009-01-05 03:23 AM - Horst Düster

Replying to [comment:1 jef]:

not reproducable here.  maybe fixed with commit:270fe71f (SVN r9748) and/or ?

No this issue is not fixed with commit:270fe71f (SVN r9748) and/or . This issue appers also when I save a project with labels. After reloading the project all

labels are gone.

#3 - 2009-01-06 02:34 AM - Horst Düster

I made some tests and it looks that the problem appears only with [[PostGIS]] layer. When I save and reload a project with labeled shape-files everything

works fine.

#4 - 2009-01-06 03:19 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

I think this is fixed in . The problem was that the label class assumed the attribute indices from 0 to number of attributes. But for postgis layers this is not

true because the geometry attribute can be in between.

Please test if it works now and reopen the ticket if not.
Marco

#5 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
